
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>模块的搜索路径 / 憋错料</title>

    <meta name="description" content="模块的搜索路径 目录 模块搜索路径的顺序(掌握) 验证先从内存中找 验证先从内置中找 验证从sys.path中找 搜索路径以执行文件为准(掌握) 模块搜索路径的顺序(掌握) 模块其实就是一个文件,如果要执行文件,首先就需要找到模块的路径(某个文件夹).如果模块的文件路径和执行文件不在同一个文件目录下,我们就需要指定模块的路径. 模块的搜索路径指的就是在导入模块时需要检索的文件夹. 导入模块时查找模块的顺序是: 先从内存中已经导入的模块中寻找 内置的模块 环境变量sys.path中找 import sys pri">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">模块的搜索路径</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>目录</p>
<ul>
<li>模块搜索路径的顺序(掌握)</p>
<ul>
<li>验证先从内存中找</li>
<li>验证先从内置中找</li>
<li>验证从sys.path中找</li>
</ul>
</li>
<li>搜索路径以执行文件为准(掌握)</li>
</ul>
<h1>模块搜索路径的顺序(掌握)</h1>
<p>模块其实就是一个文件，如果要执行文件，首先就需要找到模块的路径（某个文件夹）。如果模块的文件路径和执行文件不在同一个文件目录下，我们就需要指定模块的路径。</p>
<p>模块的搜索路径指的就是在导入模块时需要检索的文件夹。</p>
<p>导入模块时查找模块的顺序是：</p>
<ol>
<li>先从内存中已经导入的模块中寻找</li>
<li>内置的模块</li>
<li>环境变量sys.path中找</li>
</ol>
<pre><code>import sys
print(f&quot;sys.path: {sys.path}&quot;)

&#039;&#039;&#039;
[&#039;/Users/mac/Desktop/video/python/day16&#039;,
&#039;/Users/mac/Desktop/video/python&#039;,
&#039;/Applications/anaconda3/lib/python36.zip&#039;,
&#039;/Applications/anaconda3/lib/python3.6&#039;,
&#039;/Applications/anaconda3/lib/python3.6/lib-dynload&#039;,
&#039;/Applications/anaconda3/lib/python3.6/site-packages&#039;,
&#039;/Applications/PyCharm.app/Contents/helpers/pycharm_matplotlib_backend&#039;]
&#039;&#039;&#039;</code></pre>
<p>强调：sys.path的第一个值是当前执行文件的所在的文件夹</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxOTA1LzIwMTkwNTAyMTU0NzA4MDA4MDQxLmpwZw==.jpg" /></p>
<h2>验证先从内存中找</h2>
<p>如果我们在运行run.py文件的时候，快速删除mmm.py文件，我们会发现文件会继续运行，而不会报错，因为mmm已经被导入内存当中。如果我们再一次运行run.py时会报错，因为mmm.py已经被删除了。</p>
<pre><code># mmm.py

def f1():
    print(&#039;from mmm.py f1&#039;)</code></pre>
<pre><code># run.py
import time
import mmm

time.sleep(10)
import mmm
mmm.f1()  # from mmm.py f1</code></pre>
<h2>验证先从内置中找</h2>
<pre><code># time.py
print(&#039;from time.py&#039;)</code></pre>
<pre><code># run.py
import time
print(time)  # &lt;module &#039;time&#039; (built-in)&gt;</code></pre>
<h2>验证从sys.path中找</h2>
<p>如果mmm.py在<code>/Users/mac/Desktop/video/python</code>路径下，而执行文件路径为<code>/Users/mac/Desktop/video/python/day16</code>，如果普通导入一定会报错，我们可以把<code>/Users/mac/Desktop/video/python</code>添加到环境变量sys.path中，防止报错。</p>
<pre><code># run.py
import sys
sys.path.append(r&#039;/Users/mac/Desktop/video/python&#039;)
print(sys.path)

import mmm
mmm.f1()</code></pre>
<h1>搜索路径以执行文件为准(掌握)</h1>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxOTA1LzIwMTkwNTAyMTU0NzA4MzU0NzM0LmpwZw==.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxOTA1LzIwMTkwNTAyMTU0NzA4NTQ0MTk1LmpwZw==.jpg" /></p>
<p>假设我们有上述的目录结构的文件，文件内代码分别是：</p>
<pre><code># m1.py

import sys
print(&#039;模块m1中查看的结果&#039;,sys.path)
# import m2
from dir1 import m2
m2.f2()</code></pre>
<pre><code># m2.py

import sys
print(sys.path)

def f2():
    print(&#039;from f2&#039;)</code></pre>
<pre><code># run.py
import sys
print(&#039;执行文件查看的结果：&#039;,sys.path)
from dir1 import m1</code></pre>
<p>其中run.py文件的执行路径是<code>/Users/mac/Desktop/video/python/day16/模块搜索路径练习</code>，如果我们在m1.py中直接使用<code>import m2</code>导入m2会报错，而使用<code>from dir1 import m2</code>导入m2则会成功，因为搜索路径以执行文件为准，dir1和run.py是同目录下的，因此run.py的环境变量能找到dir1；而m2和run.py不是同目录下的，因此run.py的环境变量无法直接找到m2。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxOTA1LzIwMTkwNTAyMTU0NzA4NzMxNzAyLmpwZw==.jpg" /></p>

<p>原文地址：https://www.cnblogs.com/nickchen121/p/10802417.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-17 21:16:50 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/python/" title="python">python</a>, <a href="https://www.biecuoliao.com/tag/port/" title="port">port</a>, <a href="https://www.biecuoliao.com/tag/def/" title="def">def</a>, <a href="https://www.biecuoliao.com/tag/from/" title="from">from</a>, <a href="https://www.biecuoliao.com/tag/ide/" title="ide">ide</a>, <a href="https://www.biecuoliao.com/tag/ges/" title="ges">ges</a>, <a href="https://www.biecuoliao.com/tag/lib/" title="lib">lib</a>, <a href="https://www.biecuoliao.com/tag/python3/" title="python3">python3</a>, <a href="https://www.biecuoliao.com/tag/pychar/" title="pychar">pychar</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>模块的搜索路径的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xm8rn3.html" rel="bookmark">python import模块的搜索路径</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当在py代码中import所依赖的模块时, python是从哪里找到这些模块呢,即模块的搜索路径是啥? 默认情况下,Python解释器会搜索当前目录.所有已安装的内置模块和第三方模块,搜索路径存放在sys模块的path变量中: &gt;&gt;&gt; import sys &gt;&gt;&gt; sys.path ['', 'C:\\Windows\\system32\\python27.zip', 'd:\\Program Files\\python27\\DLLs', 'd:\\Program F			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xZBvj4.html" rel="bookmark">导入模块的搜索路径以及sys&period;path</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				模块的搜索顺序 #内存----&gt;内置------&gt;sys.path import sys print(sys.path) #打印出当前的sys.path的搜索路径,在内存和内置中都找不到该模块的情况下会到下面的这些路径逐个去找,并以打印出的顺序作为优先级. #['D:\\Python_OldBoy\\day05\\模块与包', 'D:\\Python_OldBoy', 'C:\\Users\\dell\\AppData\\Local\\Programs\\Python\\Python35\\p			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qxJEa0.html" rel="bookmark">【python学习笔记】模块导入搜索路径的搜索顺序是什么？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				搜索顺序应该是? 内置模块 -&gt;主目录 -&gt;PYTHONPATH环境变量 -&gt;标准库 -&gt;.pth文件指定的内容 所以如果主目录里有一个自定义的模块文件文件,应该会先加载,然后后面标准库的模块文件可能就不会加载了,也就是隐藏了. 还是实验一下: 创建一个sys.py在主目录下,以下是在windows的py3.5上实验的,sys.py内容: # filename sys.py in current working directory def func():     print('Th			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4A6zKaM.html" rel="bookmark">Python 安装模块 &amp; 模块搜索路径</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.1   安装模块 1.1.1   安装第三方模块 第三方库都会在Python官方的pypi.python.org网站注册,要安装一个第三方库,必须先知道该库的名称,可以在官网或者pypi上搜索,比如Pillow的名称叫Pillow pip install Pillow 1.1.2   模块搜索路径 当我们试图加载一个模块时,Python会在指定的路径下搜索对应的.py文件,如果找不到,就会报错: &gt;&gt;&gt; import mymodule Traceback (most recent c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Onl8X0.html" rel="bookmark">Python学习笔记-模块介绍（三）-模块包和搜索路径</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一个python文件就是一个模块,使用独立的命名空间,但实际使用过程中单单用模块来定义python功能显然还不够.因为一个大型的系统几千上万个模块是很正常的事情,如果都聚集在一起显然不好管理并且有命名冲突的可能,因此python中也出现了一个包的概念. 一.python中的包介绍 包是通过使用&quot;点模块名称&quot;创建Python模块命名空间的一种方法.列如,模块名称 A.B 表示一个在名为 A的包下的名为B的子模块.就像使用模块让不同模块的作者无需担心彼此全局变量名称(冲突)一样,点模块名称			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/n4AnkgM.html" rel="bookmark">python模块搜索路径</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.电脑版 (1).python安装目录中\Lib\site-packages\下建立*.pth文件,写入模块路径 (2).添加环境变量:变量名:pythonpath;变量值:模块(文件夹)路径 ,若有多个,用半角分号&quot;;&quot;隔开 2.手机版 在resource\site.py文件中添加代码段 import syssys.path.append(&quot;模块(文件夹)路径&quot;) 发现:第一个参数都是C:\\resource 我的理解: 程序安装盘下的site.py指定模块路径			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0x5R2N3.html" rel="bookmark">python在Ubuntu添加模块搜索路径</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文我们来分享python添加模块搜索路径的3个方法,另外不补充了篇&quot;为Python添加默认模块搜索路径&quot;. 大约有这么几种方法: 1.添加环境变量PYTHONPATH,python会添加此路径下的模块,在.bashrc文件中添加如下类似行: export PYTHONPATH=$PYTHONPATH:/usr/local/lib/python2.7/site-packages 2.在site-packages路径下添加一个路径配置文件,文件的扩展名为.pth,内容为要添加的路径即可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49WwvJ0.html" rel="bookmark">修改模块搜索路径&lpar;注意：py运行完毕，就会失效，他只是临时产生效果&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				# -*- coding: utf-8 -*- #python 27 #xiaodeng #修改模块搜索路径(注意:py运行完毕,就会失效,他只是临时产生效果) import sys print sys.path ''' ['C:\\Users\\Administrator\\Desktop', 'C:\\Python27\\Lib\\idlelib', 'C:\\Python27\\lib\\site-packages\\xlwt-1.0.0-py2.7.egg', 'C:\\Python27			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rzw7X3.html" rel="bookmark">为Python添加默认模块搜索路径</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为Python添加默认模块搜索路径 方法一:函数添加 1) import sys 2) 查看sys.path 3) 添加sys.path.append(&quot;c:\\&quot;) 方法二:修改环境变量 windows用户可以修改系统环境变量PYTHONPATH 方法三:增加.pth文件,推荐! 在site-packages添加一个路径文件,如mypkpath.pth,必须以.pth为后缀,写上你要加入的模块文件所在的目录名称就是了. 1) windows c:\python27\site-pack			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/v0kya74.html" rel="bookmark" class="title">在ROS中开始自主机器人仿真 - 2 让turtlebot跑起来</a>
					<div>
						借助ROS的工具箱让turtlebot在gazebo中运行起来. part 1.1: 让turtlebot跑起来 1. 在gazebo中显示机器人 roslaunch turtlebot_gazebo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9MBJeqM.html" rel="bookmark" class="title">006&period;MVC实现注册登录知识点总结</a>
					<div>
						知识点总结: [DisplayName(&quot;用户名&quot;)]//显示的名字,与视图页的 @Html.LabelFor(x =&gt; x.Username)相对应 [Required(A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/949nO1M.html" rel="bookmark" class="title">POJ 3675 Telescope</a>
					<div>
						题意:给定一个不自交的多边形,要求和圆心在原点的圆的面积交. 思路:同POJ2986,是加强版 代码: 1 #include&lt;algorithm&gt; 2 #include&lt;cstdio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgLPP80.html" rel="bookmark" class="title">javascript快速排序</a>
					<div>
						假如让你写一个排序,你会怎么写呢?for循环搞定吗?来看下边这个是怎么实现的: function quickSort(arr){ if(arr.length&lt;=1){ return arr; } ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0byKQ9M.html" rel="bookmark" class="title">想要百度搜素秒收产品信息该如何做</a>
					<div>
						http://passport.baidu.com/?business&amp;un=%E5%86%85%E6%B1%9F%E5%B0%8F%E5%A7%90%E7%9A%84%E8%BF%87%E5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPNEbz3.html" rel="bookmark" class="title">第一个Shell脚本</a>
					<div>
						打开文本编辑器,新建一个文件,扩展名为sh(sh代表shell),扩展名并不影响脚本执行,见名知意就好,如果你用php写shell 脚本,扩展名就用php好了. 输入一些代码: #!/bin/bash ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wRVD10.html" rel="bookmark" class="title">数据库中插入几百万条数据</a>
					<div>
						/*最近总是遇到需要大数据的时候,总是没有,所以准备了一点*/ create procedure InsertTest2as begin declare @v_num int;set @v_num=1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38La8y3.html" rel="bookmark" class="title">lintcode-easy-Length of Last Word</a>
					<div>
						Given a string s consists of upper/lower-case alphabets and empty space characters ' ', return the l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPDQyaM.html" rel="bookmark" class="title">c语言中枚举的使用</a>
					<div>
						枚举的定义:  enum  [枚举名] {美剧类型列表}: 说完了声明枚举,我们开始考虑具 “枚举常量”  代表什么?   通过上边的定义 我们可以写出枚举的基本写法(ps: [] 代表可选): 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Zrq6l3.html" rel="bookmark" class="title">使用 ssh key 验证 github</a>
					<div>
						使用ssh key验证github的好处就是不用每次提交代码的时候都要输入用户名和密码,因为着在一定程度上对效率有很大的影响,虽然这么做可以防止代码提交的次数过多,但这也看个人的习惯吧. 今天尝试了一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j1yjEM.html" rel="bookmark" class="title">第一章：Pandas概论</a>
					<div>
						Series:一维数组,与Numpy中的一维array类似.二者与Python基本的数据结构List也很相近,其区别是:List中的元素可以是不同的数据类型,而Array和Series中则只允许存储相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35Avz13.html" rel="bookmark" class="title">使用Configuration Manager配置符合性设置</a>
					<div>
						1. 概述: Configuration Manager中的符合性设置提供了一个统一的界面和用户体验,使企业可以管理的配置和法规遵从性服务器.便携式计算机. 台式计算机和企业组织中的移动设备.符合性设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXvvpw3.html" rel="bookmark" class="title">JavaScript 语言中的 this</a>
					<div>
						JavaScript 语言中的 this 由于其运行期绑定的特性,JavaScript 中的 this 含义要丰富得多,它可以是全局对象.当前对象或者任意对象,这完全取决于函数的调用方式.JavaSc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rzdQ73.html" rel="bookmark" class="title">Linux中设备号及设备文件【转】</a>
					<div>
						本文转载自:http://blog.csdn.net/ymangu666/article/details/39292651 主.次设备号 应用程序可以通过对/dev 目录下的设备文件读写,从而访问实际 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02ylBDM.html" rel="bookmark" class="title">CDN 相关</a>
					<div>
						为了提高网页应用的加载速度,我们会使用到浏览器缓存,然而浏览器缓存只能提升二次访问的速度.对于加速首次访问的速度,我们最常见的手段则是使用 CDN 加速. CDN 的全称是 Content Deliv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K8PWj3.html" rel="bookmark" class="title">Linux Block I&sol;O 简介</a>
					<div>
						1.where is block I/O layer in the system 2.简介 The generic block I/O layer is an abstraction for blco ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lNv2B4.html" rel="bookmark" class="title">POJ 1659 Frogs&amp;amp&semi;&num;39&semi; Neighborhood&lpar;度序列组成&rpar;</a>
					<div>
						意甲冠军  中国 依据Havel-Hakimi定理构图即可咯  先把顶点按度数从大到小排序  可图的话  度数大的顶点与它后面的度数个顶点相连肯定是满足的  出现了-1就说明不可图了 #include ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n7kqP3.html" rel="bookmark" class="title">P - 奔小康赚大钱 - hdu 2255&lpar;带权值的匹配&rpar;</a>
					<div>
						分析:这是一个KM的模板题,也就不多说了,KM最复杂的情况都能过,下面是没有优化过的代码: ****************************************************** ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QvV5lM.html" rel="bookmark" class="title">Yii2 sum的用法实例</a>
					<div>
						$money_count = ShopOrders::find() -&gt;where(['shop_user_id'=&gt;$shop_user_id,'status'=&gt;2,'shop_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDqoDw0.html" rel="bookmark" class="title">删表方法</a>
					<div>
						思路1:根据ROWID分片.再利用Rowid排序.批量处理.回表删除. 在业务无法停止的时候,选择这种方式,的确是最好的.一般可以控制在每一万行以内提交一次,不会对回滚段造成太大压力(我在做大DML时 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
